Skip to main content
`Ctrl`+`K`

# DMPlexGetOrdering1D

Reorder the vertices so that the mesh is in a line

## Synopsis

    #include "petscdmplex.h"
    #include "petscmat.h"
    PetscErrorCode DMPlexGetOrdering1D(DM dm, IS *perm)

Collective

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameter

- perm - The point permutation as an `IS`, `perm`[old point number] = new point number

## See Also

`DMPLEX`, `DMPlexGetOrdering()`, `DMPlexPermute()`, `MatGetOrdering()`

## Level

intermediate

## Location

src/dm/impls/plex/plexreorder.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages